﻿<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="DataSet" targetNamespace="http://tempuri.org/DataSet.xsd" xmlns:mstns="http://tempuri.org/DataSet.xsd" xmlns="http://tempuri.org/DataSet.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections />
        <Tables />
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="DataSet" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="true" msprop:Generator_DataSetName="DataSet" msprop:Generator_UserDSName="DataSet">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="Rates" msprop:Generator_TableClassName="RatesDataTable" msprop:Generator_TableVarName="tableRates" msprop:Generator_TablePropName="Rates" msprop:Generator_RowDeletingName="RatesRowDeleting" msprop:Generator_RowChangingName="RatesRowChanging" msprop:Generator_RowEvHandlerName="RatesRowChangeEventHandler" msprop:Generator_RowDeletedName="RatesRowDeleted" msprop:Generator_UserTableName="Rates" msprop:Generator_RowChangedName="RatesRowChanged" msprop:Generator_RowEvArgName="RatesRowChangeEvent" msprop:Generator_RowClassName="RatesRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="Name" msdata:Caption="Тариф" msprop:Generator_ColumnVarNameInTable="columnName" msprop:Generator_ColumnPropNameInRow="Name" msprop:Generator_ColumnPropNameInTable="NameColumn" msprop:Generator_UserColumnName="Name" type="xs:string" minOccurs="0" />
              <xs:element name="Minute" msdata:Caption="Стоимость минуты в рублях" msprop:Generator_ColumnVarNameInTable="columnMinute" msprop:Generator_ColumnPropNameInRow="Minute" msprop:Generator_ColumnPropNameInTable="MinuteColumn" msprop:Generator_UserColumnName="Minute" type="xs:double" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="Clients" msprop:Generator_TableClassName="ClientsDataTable" msprop:Generator_TableVarName="tableClients" msprop:Generator_TablePropName="Clients" msprop:Generator_RowDeletingName="ClientsRowDeleting" msprop:Generator_RowChangingName="ClientsRowChanging" msprop:Generator_RowEvHandlerName="ClientsRowChangeEventHandler" msprop:Generator_RowDeletedName="ClientsRowDeleted" msprop:Generator_UserTableName="Clients" msprop:Generator_RowChangedName="ClientsRowChanged" msprop:Generator_RowEvArgName="ClientsRowChangeEvent" msprop:Generator_RowClassName="ClientsRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="Rate" msdata:Caption="Тариф" msprop:Generator_ColumnVarNameInTable="columnRate" msprop:Generator_ColumnPropNameInRow="Rate" msprop:Generator_ColumnPropNameInTable="RateColumn" msprop:Generator_UserColumnName="Rate" type="xs:string" minOccurs="0" />
              <xs:element name="Number" msdata:AutoIncrement="true" msdata:Caption="Абонент" msprop:Generator_ColumnVarNameInTable="columnNumber" msprop:Generator_ColumnPropNameInRow="Number" msprop:Generator_ColumnPropNameInTable="NumberColumn" msprop:Generator_UserColumnName="Number" type="xs:int" minOccurs="0" />
              <xs:element name="Name" msdata:Caption="ФИО" msprop:Generator_ColumnVarNameInTable="columnName" msprop:Generator_ColumnPropNameInRow="Name" msprop:Generator_ColumnPropNameInTable="NameColumn" msprop:Generator_UserColumnName="Name" type="xs:string" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="Calls" msprop:Generator_TableClassName="CallsDataTable" msprop:Generator_TableVarName="tableCalls" msprop:Generator_TablePropName="Calls" msprop:Generator_RowDeletingName="CallsRowDeleting" msprop:Generator_RowChangingName="CallsRowChanging" msprop:Generator_RowEvHandlerName="CallsRowChangeEventHandler" msprop:Generator_RowDeletedName="CallsRowDeleted" msprop:Generator_UserTableName="Calls" msprop:Generator_RowChangedName="CallsRowChanged" msprop:Generator_RowEvArgName="CallsRowChangeEvent" msprop:Generator_RowClassName="CallsRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="Client" msdata:Caption="Клиент" msprop:Generator_ColumnVarNameInTable="columnClient" msprop:Generator_ColumnPropNameInRow="Client" msprop:Generator_ColumnPropNameInTable="ClientColumn" msprop:Generator_UserColumnName="Client" type="xs:int" minOccurs="0" />
              <xs:element name="Minutes" msdata:Caption="Продолжительность вызова в минутах" msprop:Generator_ColumnVarNameInTable="columnMinutes" msprop:Generator_ColumnPropNameInRow="Minutes" msprop:Generator_ColumnPropNameInTable="MinutesColumn" msprop:Generator_UserColumnName="Minutes" type="xs:double" minOccurs="0" />
              <xs:element name="Timestamp" msdata:Caption="Время начала" msprop:Generator_ColumnVarNameInTable="columnTimestamp" msprop:Generator_ColumnPropNameInRow="Timestamp" msprop:Generator_ColumnPropNameInTable="TimestampColumn" msprop:Generator_UserColumnName="Timestamp" type="xs:dateTime" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="Reports" msprop:Generator_TableClassName="ReportsDataTable" msprop:Generator_TableVarName="tableReports" msprop:Generator_TablePropName="Reports" msprop:Generator_RowDeletingName="ReportsRowDeleting" msprop:Generator_RowChangingName="ReportsRowChanging" msprop:Generator_RowEvHandlerName="ReportsRowChangeEventHandler" msprop:Generator_RowDeletedName="ReportsRowDeleted" msprop:Generator_UserTableName="Reports" msprop:Generator_RowChangedName="ReportsRowChanged" msprop:Generator_RowEvArgName="ReportsRowChangeEvent" msprop:Generator_RowClassName="ReportsRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="Client" msdata:Caption="Клиент" msprop:Generator_ColumnVarNameInTable="columnClient" msprop:Generator_ColumnPropNameInRow="Client" msprop:Generator_ColumnPropNameInTable="ClientColumn" msprop:Generator_UserColumnName="Client" type="xs:int" minOccurs="0" />
              <xs:element name="Minutes" msdata:Caption="Продолжительность вызовов в минутах" msprop:Generator_ColumnVarNameInTable="columnMinutes" msprop:Generator_ColumnPropNameInRow="Minutes" msprop:Generator_ColumnPropNameInTable="MinutesColumn" msprop:Generator_UserColumnName="Minutes" type="xs:double" minOccurs="0" />
              <xs:element name="Bill" msdata:Caption="Стоимость минуты в рублях" msprop:Generator_ColumnVarNameInTable="columnBill" msprop:Generator_ColumnPropNameInRow="Bill" msprop:Generator_ColumnPropNameInTable="BillColumn" msprop:Generator_UserColumnName="Bill" type="xs:double" minOccurs="0" />
              <xs:element name="ClientName" msdata:Caption="ФИО клиента" msprop:Generator_ColumnVarNameInTable="columnClientName" msprop:Generator_ColumnPropNameInRow="ClientName" msprop:Generator_ColumnPropNameInTable="ClientNameColumn" msprop:Generator_UserColumnName="ClientName" type="xs:string" minOccurs="0" />
              <xs:element name="RateName" msdata:Caption="Тариф" msprop:Generator_ColumnVarNameInTable="columnRateName" msprop:Generator_ColumnPropNameInRow="RateName" msprop:Generator_ColumnPropNameInTable="RateNameColumn" msprop:Generator_UserColumnName="RateName" type="xs:string" minOccurs="0" />
              <xs:element name="RateMinute" msdata:Caption="Стоимость минуты в рублях" msprop:Generator_ColumnVarNameInTable="columnRateMinute" msprop:Generator_ColumnPropNameInRow="RateMinute" msprop:Generator_ColumnPropNameInTable="RateMinuteColumn" msprop:Generator_UserColumnName="RateMinute" type="xs:double" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="Activities" msprop:Generator_TableClassName="ActivitiesDataTable" msprop:Generator_TableVarName="tableActivities" msprop:Generator_TablePropName="Activities" msprop:Generator_RowDeletingName="ActivitiesRowDeleting" msprop:Generator_RowChangingName="ActivitiesRowChanging" msprop:Generator_RowEvHandlerName="ActivitiesRowChangeEventHandler" msprop:Generator_RowDeletedName="ActivitiesRowDeleted" msprop:Generator_UserTableName="Activities" msprop:Generator_RowChangedName="ActivitiesRowChanged" msprop:Generator_RowEvArgName="ActivitiesRowChangeEvent" msprop:Generator_RowClassName="ActivitiesRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="Rate" msdata:Caption="Тариф" msprop:Generator_ColumnVarNameInTable="columnRate" msprop:Generator_ColumnPropNameInRow="Rate" msprop:Generator_ColumnPropNameInTable="RateColumn" msprop:Generator_UserColumnName="Rate" type="xs:string" minOccurs="0" />
              <xs:element name="Minutes" msdata:Caption="Продолжительность вызовов" msprop:Generator_ColumnVarNameInTable="columnMinutes" msprop:Generator_ColumnPropNameInRow="Minutes" msprop:Generator_ColumnPropNameInTable="MinutesColumn" msprop:Generator_UserColumnName="Minutes" type="xs:double" minOccurs="0" />
              <xs:element name="Bill" msdata:Caption="Стоимость вызовов" msprop:Generator_ColumnVarNameInTable="columnBill" msprop:Generator_ColumnPropNameInRow="Bill" msprop:Generator_ColumnPropNameInTable="BillColumn" msprop:Generator_UserColumnName="Bill" type="xs:double" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1">
      <xs:selector xpath=".//mstns:Rates" />
      <xs:field xpath="mstns:Name" />
    </xs:unique>
    <xs:unique name="Clients_Constraint1" msdata:ConstraintName="Constraint1">
      <xs:selector xpath=".//mstns:Clients" />
      <xs:field xpath="mstns:Number" />
    </xs:unique>
  </xs:element>
  <xs:annotation>
    <xs:appinfo>
      <msdata:Relationship name="Rates_Activities" msdata:parent="Rates" msdata:child="Activities" msdata:parentkey="Name" msdata:childkey="Rate" msprop:Generator_UserChildTable="Activities" msprop:Generator_ChildPropName="GetActivitiesRows" msprop:Generator_UserRelationName="Rates_Activities" msprop:Generator_ParentPropName="RatesRow" msprop:Generator_RelationVarName="relationRates_Activities" msprop:Generator_UserParentTable="Rates" />
      <msdata:Relationship name="Rates_Clients" msdata:parent="Rates" msdata:child="Clients" msdata:parentkey="Name" msdata:childkey="Rate" msprop:Generator_UserChildTable="Clients" msprop:Generator_ChildPropName="GetClientsRows" msprop:Generator_UserRelationName="Rates_Clients" msprop:Generator_ParentPropName="RatesRow" msprop:Generator_RelationVarName="relationRates_Clients" msprop:Generator_UserParentTable="Rates" />
      <msdata:Relationship name="Clients_Reports" msdata:parent="Clients" msdata:child="Reports" msdata:parentkey="Number" msdata:childkey="Client" msprop:Generator_UserChildTable="Reports" msprop:Generator_ChildPropName="GetReportsRows" msprop:Generator_UserRelationName="Clients_Reports" msprop:Generator_ParentPropName="ClientsRow" msprop:Generator_RelationVarName="relationClients_Reports" msprop:Generator_UserParentTable="Clients" />
      <msdata:Relationship name="Clients_Calls" msdata:parent="Clients" msdata:child="Calls" msdata:parentkey="Number" msdata:childkey="Client" msprop:Generator_UserChildTable="Calls" msprop:Generator_ChildPropName="GetCallsRows" msprop:Generator_UserRelationName="Clients_Calls" msprop:Generator_ParentPropName="ClientsRow" msprop:Generator_RelationVarName="relationClients_Calls" msprop:Generator_UserParentTable="Clients" />
    </xs:appinfo>
  </xs:annotation>
</xs:schema>